<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/rootLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:id="@+id/bgLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/bg_color"
        android:orientation="vertical">

        <View
            android:id="@+id/view"
            android:layout_width="match_parent"
            android:layout_height="0dp" />

        <LinearLayout
            android:id="@+id/statusLayout"
            android:layout_width="match_parent"
            android:layout_height="44dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <LinearLayout
                android:id="@+id/backBtn"
                android:layout_width="44dp"
                android:layout_height="44dp"
                android:layout_marginStart="6dp"
                android:layout_marginEnd="6dp"
                android:background="@drawable/dr_click_effect_oval_transparent"
                android:gravity="center">

                <ImageView
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:src="@drawable/back_black" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/searchTextLayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="16dp"
                    android:layout_weight="1"
                    android:background="@drawable/dr_item_img_frame"
                    android:gravity="center_vertical">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/searchEdit"
                        style="@style/TextViewFont_PopRegular"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="8dp"
                        android:layout_weight="1"
                        android:background="@null"
                        android:hint="@string/search_hint"
                        android:imeOptions="actionSearch"
                        android:inputType="text"
                        android:maxLines="1"
                        android:textSize="14sp" />


                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="12dp"
                        android:layout_marginEnd="12dp">

                        <ImageView
                            android:id="@+id/searchIv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/icon_search_black" />

                        <ImageView
                            android:id="@+id/deleteIv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/delete_cha_icon"
                            android:visibility="gone" />

                    </RelativeLayout>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/selectPreviousBtn"
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:background="@drawable/dr_click_effect_oval_transparent"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/arrow_previous_icon" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/selectNextBtn"
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:background="@drawable/dr_click_effect_oval_transparent"
                    android:layout_marginEnd="16dp"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/arrow_next_icon" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/title"
                    style="@style/TextViewFont_PopMedium"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ellipsize="end"
                    android:gravity="center_vertical"
                    android:maxLines="1"
                    android:text="@string/app_name"
                    android:textColor="@color/black"
                    android:textSize="16sp" />

                <LinearLayout
                    android:id="@+id/searchTextBtn"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_marginStart="8dp"
                    android:background="@drawable/dr_click_effect_oval_transparent"
                    android:gravity="center"
                    android:visibility="visible">

                    <ImageView
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/icon_search_black" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/moreBtn"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_marginEnd="8dp"
                    android:background="@drawable/dr_click_effect_oval_transparent"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/more" />

                </LinearLayout>
            </LinearLayout>

        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:gravity="center">

            <com.github.barteksc.pdfviewer.PDFView
                android:id="@+id/pdfview"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/line_color" />

        </RelativeLayout>

        <LinearLayout
            android:id="@+id/navigationLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:orientation="vertical">

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <LinearLayout
                    android:id="@+id/viewModelBtn"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/dr_click_effect_rectangle_transparent"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_marginTop="4dp"
                        android:src="@drawable/pdf_view_mode" />

                    <TextView
                        style="@style/TextViewFont_PopMedium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="2dp"
                        android:text="@string/view_model"
                        android:textColor="@color/text_color_lv1"
                        android:textSize="12sp" />
                </LinearLayout>


                <LinearLayout
                    android:id="@+id/eyeCareOverlayBtn"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/dr_click_effect_rectangle_transparent"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/eyeProtectIv"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_marginTop="4dp"
                        android:src="@drawable/eye_protect" />

                    <TextView
                        style="@style/TextViewFont_PopMedium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="2dp"
                        android:text="@string/eye_protect"
                        android:textColor="@color/text_color_lv1"
                        android:textSize="12sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/bookmarksBtn"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/dr_click_effect_rectangle_transparent"
                    android:gravity="center"
                    android:orientation="vertical">


                    <RelativeLayout
                        android:layout_width="24dp"
                        android:layout_height="24dp">

                        <ImageView
                            android:id="@+id/bookmarksIv"
                            android:layout_width="20dp"
                            android:layout_height="20dp"
                            android:layout_alignParentBottom="true"
                            android:layout_centerHorizontal="true"
                            android:src="@drawable/add_bookmarks" />

                        <TextView
                            android:id="@+id/bookmarksHint"
                            style="@style/TextViewFont_PopRegular"
                            android:layout_width="12dp"
                            android:layout_height="12dp"
                            android:layout_alignParentEnd="true"
                            android:background="@drawable/dr_dot_red"
                            android:gravity="center"
                            android:padding="1dp"
                            android:text="1"
                            android:textColor="@color/white"
                            android:textSize="8sp" />
                    </RelativeLayout>

                    <TextView
                        style="@style/TextViewFont_PopMedium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="2dp"
                        android:text="@string/bookmarks"
                        android:textColor="@color/text_color_lv1"
                        android:textSize="12sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/shareBtn"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/dr_click_effect_rectangle_transparent"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_marginTop="4dp"
                        android:src="@drawable/share" />

                    <TextView
                        style="@style/TextViewFont_PopMedium"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="2dp"
                        android:text="@string/share_file"
                        android:textColor="@color/text_color_lv1"
                        android:textSize="12sp" />
                </LinearLayout>

            </LinearLayout>
        </LinearLayout>
        <LinearLayout
            android:id="@+id/rootBottomLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:orientation="horizontal">

        </LinearLayout>

    </LinearLayout>

    <!-- 护眼模式覆盖层 -->
    <View
        android:id="@+id/eyeCareOverlay"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/eye_protection_color"
        android:visibility="gone" />
</FrameLayout>
